Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1047092 - [abrt] umbrello: QListData::detach_grow(): umbrello killed by SIGSEGV
Summary: [abrt] umbrello: QListData::detach_grow(): umbrello killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: umbrello
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Than Ngo
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:588e1102e7d1f932920ba6c4c6c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-28 23:37 UTC by matthias.rambausek
Modified: 2015-06-29 13:54 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 13:54:04 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (1.77 MB, text/plain)
2013-12-28 23:38 UTC, matthias.rambausek
no flags Details
File: cgroup (172 bytes, text/plain)
2013-12-28 23:38 UTC, matthias.rambausek
no flags Details
File: core_backtrace (462.66 KB, text/plain)
2013-12-28 23:38 UTC, matthias.rambausek
no flags Details
File: dso_list (12.64 KB, text/plain)
2013-12-28 23:38 UTC, matthias.rambausek
no flags Details
File: environ (2.05 KB, text/plain)
2013-12-28 23:38 UTC, matthias.rambausek
no flags Details
File: exploitable (100 bytes, text/plain)
2013-12-28 23:38 UTC, matthias.rambausek
no flags Details
File: limits (1.29 KB, text/plain)
2013-12-28 23:38 UTC, matthias.rambausek
no flags Details
File: maps (73.18 KB, text/plain)
2013-12-28 23:38 UTC, matthias.rambausek
no flags Details
File: open_fds (2.08 KB, text/plain)
2013-12-28 23:38 UTC, matthias.rambausek
no flags Details
File: proc_pid_status (935 bytes, text/plain)
2013-12-28 23:38 UTC, matthias.rambausek
no flags Details
File: var_log_messages (344 bytes, text/plain)
2013-12-28 23:38 UTC, matthias.rambausek
no flags Details

Description matthias.rambausek 2013-12-28 23:37:44 UTC
Description of problem:
The error occured during export of UML-Data to Java, whereby a subset of classes caused this error:

The classes were named "ItemIterface", "WorldInterface" and "ComponentInterface".

At least for me, those classes did not contain anything special besides their common part of the name.
If the information provided is not enough to reproduce the error, I will provide a minimal test case .xmi file

Version-Release number of selected component:
umbrello-4.11.4-1.fc20

Additional info:
reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        /usr/bin/umbrello -caption Umbrello
crash_function: QListData::detach_grow
executable:     /usr/bin/umbrello
kernel:         3.12.5-302.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (7 frames)
 #2 QListData::detach_grow at tools/qlist.cpp:85
 #3 QList<UMLAssociation*>::detach_helper_grow at /usr/include/QtCore/qlist.h:679
 #4 QList<UMLAssociation*>::append at /usr/include/QtCore/qlist.h:510
 #5 UMLCanvasObject::getAssociations at /usr/src/debug/umbrello-4.11.4/umbrello/umlcanvasobject.cpp:347
 #6 UMLCanvasObject::getSuperClasses at /usr/src/debug/umbrello-4.11.4/umbrello/umlcanvasobject.cpp:362
 #7 UMLClassifier::findSuperClassConcepts at /usr/src/debug/umbrello-4.11.4/umbrello/classifier.cpp:618
 #8 JavaWriter::getSuperImplementedOperations at /usr/src/debug/umbrello-4.11.4/umbrello/codegenerators/java/javawriter.cpp:802

Comment 1 matthias.rambausek 2013-12-28 23:38:27 UTC
Created attachment 842850 [details]
File: backtrace

Comment 2 matthias.rambausek 2013-12-28 23:38:29 UTC
Created attachment 842851 [details]
File: cgroup

Comment 3 matthias.rambausek 2013-12-28 23:38:39 UTC
Created attachment 842852 [details]
File: core_backtrace

Comment 4 matthias.rambausek 2013-12-28 23:38:41 UTC
Created attachment 842853 [details]
File: dso_list

Comment 5 matthias.rambausek 2013-12-28 23:38:43 UTC
Created attachment 842854 [details]
File: environ

Comment 6 matthias.rambausek 2013-12-28 23:38:45 UTC
Created attachment 842855 [details]
File: exploitable

Comment 7 matthias.rambausek 2013-12-28 23:38:48 UTC
Created attachment 842856 [details]
File: limits

Comment 8 matthias.rambausek 2013-12-28 23:38:51 UTC
Created attachment 842857 [details]
File: maps

Comment 9 matthias.rambausek 2013-12-28 23:38:53 UTC
Created attachment 842858 [details]
File: open_fds

Comment 10 matthias.rambausek 2013-12-28 23:38:55 UTC
Created attachment 842859 [details]
File: proc_pid_status

Comment 11 matthias.rambausek 2013-12-28 23:38:57 UTC
Created attachment 842860 [details]
File: var_log_messages

Comment 12 Fedora End Of Life 2015-05-29 10:12:47 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-06-29 13:54:04 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.